[SCM] Samba Shared Repository - branch master updated

Michael Adam obnox at samba.org
Wed Sep 22 19:05:54 MDT 2010


The branch, master has been updated
       via  56f127d no need any more to manually create catalog file in build-manpages-nogit
       via  60d5a83 no need any more to create catalog file manually in build-manpages-git
       via  9e2eefa docs: use abs_top_builddir instead of BUILDDIR to let configure create correct catalog file
       via  791246b add script to build only the manpages (not the complete docs) - no-git version
       via  b56ebe5 add script to build only the manual pages (not all the docs) - git version
      from  aea64ef s3: tdbdump does not use our libs

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 56f127d7367b8380cda76a8f1af11ce7a9095af4
Author: Michael Adam <obnox at samba.org>
Date:   Mon Sep 13 17:27:16 2010 +0200

    no need any more to manually create catalog file in build-manpages-nogit

commit 60d5a83e9e2361b8d237daef095e2eeb20ed8bdd
Author: Michael Adam <obnox at samba.org>
Date:   Mon Sep 13 17:26:20 2010 +0200

    no need any more to create catalog file manually in build-manpages-git

commit 9e2eefad44c4d8024cc51db2cdf0aa2b6ca5f6ae
Author: Michael Adam <obnox at samba.org>
Date:   Mon Sep 13 17:18:18 2010 +0200

    docs: use abs_top_builddir instead of BUILDDIR to let configure create correct catalog file
    
    The use of the catalog file is still controlled by exporting the
    XML_CATALOG_FILES variable as described in build/README

commit 791246b85747aa046e096df96c7646d449b3e04e
Author: Michael Adam <obnox at samba.org>
Date:   Thu Sep 9 17:25:22 2010 +0200

    add script to build only the manpages (not the complete docs) - no-git version
    
    this version uses make clean to clean the source tree before building

commit b56ebe5cac0ca63b197b8544b8fa5bb5060b1576
Author: Michael Adam <obnox at samba.org>
Date:   Thu Sep 9 17:24:30 2010 +0200

    add script to build only the manual pages (not all the docs) - git version
    
    the git version uses git clean to clean the docs source tree.

-----------------------------------------------------------------------

Summary of changes:
 docs-xml/build/catalog.xml.in        |    4 +-
 release-scripts/build-manpages-git   |   37 +++++++++++++++++++++++++++++
 release-scripts/build-manpages-nogit |   42 ++++++++++++++++++++++++++++++++++
 3 files changed, 81 insertions(+), 2 deletions(-)
 create mode 100755 release-scripts/build-manpages-git
 create mode 100755 release-scripts/build-manpages-nogit


Changeset truncated at 500 lines:

diff --git a/docs-xml/build/catalog.xml.in b/docs-xml/build/catalog.xml.in
index 03ac0bd..4b99cf5 100644
--- a/docs-xml/build/catalog.xml.in
+++ b/docs-xml/build/catalog.xml.in
@@ -6,9 +6,9 @@
 
     <rewriteURI
 			uriStartString="http://www.samba.org/samba/DTD/"
-			rewritePrefix="file://@BUILDDIR@/build/DTD/"/>
+			rewritePrefix="file://@abs_top_builddir@/build/DTD/"/>
 
     <rewriteURI
 			uriStartString="http://www.gnu.org/licenses/"
-			rewritePrefix="file://@BUILDDIR@/Samba3-ByExample/"/>
+			rewritePrefix="file://@abs_top_builddir@/Samba3-ByExample/"/>
 </catalog>
diff --git a/release-scripts/build-manpages-git b/release-scripts/build-manpages-git
new file mode 100755
index 0000000..a9c51b5
--- /dev/null
+++ b/release-scripts/build-manpages-git
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Copyright (C) Michael Adam 2010
+
+_exit() {
+	echo $@
+	popd
+	exit 1
+}
+
+DIRNAME=$(dirname $0)
+DOCS_XML_DIR=${DIRNAME}/../docs-xml
+DOCS_DIR=${DIRNAME}/../docs
+
+pushd ${DOCS_XML_DIR} || exit 1
+
+git clean -xdf || _exit "Error running git clean."
+
+autoconf || _exit "Error running autoconf."
+
+./configure || _exit "Error running configure."
+
+export XML_CATALOG_FILES="file:///etc/xml/catalog file://$(pwd)/build/catalog.xml"
+
+make manpages3 || _exit "Error running make manpages3"
+
+popd
+
+test -e ${DOCS_DIR}/manpages && rm -rf ${DOCS_DIR}/manpages
+mkdir -p ${DOCS_DIR}/manpages
+
+rsync -Ca ${DOCS_XML_DIR}/output/manpages-3/ ${DOCS_DIR}/manpages
+
+echo "Success"
+exit
+
+# END
diff --git a/release-scripts/build-manpages-nogit b/release-scripts/build-manpages-nogit
new file mode 100755
index 0000000..c39b685
--- /dev/null
+++ b/release-scripts/build-manpages-nogit
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# Copyright (C) Michael Adam 2010
+
+_exit() {
+	echo $@
+	popd
+	exit 1
+}
+
+DIRNAME=$(dirname $0)
+DOCS_XML_DIR=${DIRNAME}/../docs-xml
+DOCS_DIR=${DIRNAME}/../docs
+
+pushd ${DOCS_XML_DIR} || exit 1
+
+#git clean -xdf || _exit "Error running git clean."
+
+autoconf || _exit "Error running autoconf."
+
+./configure || _exit "Error running configure."
+
+export XML_CATALOG_FILES="file:///etc/xml/catalog file://$(pwd)/build/catalog.xml"
+
+make clean || _exit "Error running make clean"
+
+# re-establish catalog (has been removed by make clean...)
+./config.status
+
+make manpages3 || _exit "Error running make manpages3"
+
+popd
+
+test -e ${DOCS_DIR}/manpages && rm -rf ${DOCS_DIR}/manpages
+mkdir -p ${DOCS_DIR}/manpages
+
+rsync -Ca ${DOCS_XML_DIR}/output/manpages-3/ ${DOCS_DIR}/manpages
+
+echo "Success"
+exit
+
+# END


-- 
Samba Shared Repository


More information about the samba-cvs mailing list